Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class SAXElement

    java.lang.Object
      org.xml.sax.helpers.AttributesImpl
          de.grogra.util.SAXElement

All Implemented Interfaces:
  org.xml.sax.Attributes

    public class SAXElement

extends org.xml.sax.helpers.AttributesImpl

Field Summary
`SAXElement` | `children`
`java.lang.String` | `name`
`SAXElement` | `next`
`java.lang.String` | `qName`
`java.lang.String` | `uri`

Constructor Summary
`SAXElement()`

Method Summary
`void` | `dumpTree()`
`boolean` | `nameEquals(java.lang.String uri, java.lang.String name)`
`void` | `set(java.lang.String uri, java.lang.String name, java.lang.String qName, org.xml.sax.Attributes atts)`
`void` | `setAttributes(org.xml.sax.Attributes atts)` Copy an entire Attributes object.
`java.lang.String` | `toString()`

Methods inherited from class org.xml.sax.helpers.AttributesImpl
`addAttribute, clear, getIndex, getIndex, getLength, getLocalName, getQName, getType, getType, getType, getURI, getValue, getValue, getValue, removeAttribute, setAttribute, setLocalName, setQName, setType, setURI, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### children

    public SAXElement children

### name

    public java.lang.String name

### next

    public SAXElement next

### qName

    public java.lang.String qName

### uri

    public java.lang.String uri

Constructor Detail

### SAXElement

    public SAXElement()

Method Detail

### dumpTree

    public void dumpTree()

### nameEquals

    public boolean nameEquals(java.lang.String uri,
                              java.lang.String name)

### set

    public void set(java.lang.String uri,
                    java.lang.String name,
                    java.lang.String qName,
                    org.xml.sax.Attributes atts)

### setAttributes

    public void setAttributes(org.xml.sax.Attributes atts)

  Copy an entire Attributes object. This method overrides `AttributesImpl.setAttributes(org.xml.sax.Attributes)` in order to fix a bug in Java 1.4.0's implementation.

  Overrides:
    `setAttributes` in class `org.xml.sax.helpers.AttributesImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD